PEM_WRITE_BIO_PKCS7_STREAM(3)

NAME
PEM_write_bio_PKCS7_stream - output PKCS7 structure in PEM format

SYNOPSIS
#include <openssl/pkcs7.h>
int
PEM_write_bio_PKCS7_stream(BIO *out, PKCS7 *p7, BIO *data, int flags);

DESCRIPTION
PEM_write_bio_PKCS7_stream() outputs a PKCS7 structure in PEM format.

It is otherwise identical to the function SMIME_write_PKCS7(3).

This function is effectively a version of PEM_write_bio_PKCS7(3) supporting streaming.

RETURN VALUES
Upon successful completion, 1 is returned; otherwise 0 is returned and an error code can be retrieved with ERR_get_error(3).

SEE ALSO
BIO_new(3), i2d_PKCS7_bio_stream(3), PEM_write_PKCS7(3), PKCS7_final(3), PKCS7_new(3), SMIME_write_PKCS7(3)

HISTORY
PEM_write_bio_PKCS7_stream() first appeared in OpenSSL 1.0.0 and has been available since OpenBSD 4.9.